Obtener Contacto por ID
curl --request GET \
--url https://api.plazbot.com/api/contact/{contactId} \
--header 'Authorization: Bearer <token>' \
--header 'x-workspace-id: <x-workspace-id>'import requests
url = "https://api.plazbot.com/api/contact/{contactId}"
headers = {
"x-workspace-id": "<x-workspace-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-workspace-id': '<x-workspace-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.plazbot.com/api/contact/{contactId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"code": 123,
"errorCode": "<string>",
"message": "<string>",
"data": {
"id": "<string>",
"creationDate": "2023-11-07T05:31:56Z",
"assignedAgentId": "<string>",
"assignedAgentName": "<string>",
"segmentationId": "<string>",
"lastMessage": "<string>",
"lastMessageDate": "2023-11-07T05:31:56Z",
"platformSenderId": "<string>",
"platformSenderName": "<string>",
"platformSenderPhone": "<string>",
"platformSenderEmail": "<string>",
"isRead": true,
"isBotEnabled": true,
"isManuallyAdded": true,
"avatarColor": "<string>",
"orderInCards": 123,
"orderInCardsLastUpdated": "2023-11-07T05:31:56Z",
"tags": [
{
"id": "<string>",
"name": "<string>",
"color": "<string>",
"assignmentDate": "2023-11-07T05:31:56Z"
}
],
"customFields": [
{
"code": "<string>",
"value": "<string>"
}
],
"files": [
"<string>"
],
"isSolved": true,
"workspaceId": "<string>",
"name": "<string>",
"lastname": "<string>",
"email": "<string>",
"platformId": 123,
"stageId": "<string>",
"internalWhatsappNumber": "<string>",
"blocked": true
}
}{
"success": true,
"code": 123,
"message": "<string>",
"errorCode": "<string>"
}{
"success": true,
"code": 123,
"message": "<string>",
"errorCode": "<string>"
}{
"success": true,
"code": 123,
"message": "<string>",
"errorCode": "<string>"
}{
"success": true,
"code": 123,
"message": "<string>",
"errorCode": "<string>"
}Contact
Get Contact By Id
Servicio que retorna la informacion de un contacto filtrado por su ID.
GET
/
api
/
contact
/
{contactId}
Obtener Contacto por ID
Authorizations
Token de autenticacion Bearer. Obtenga el token usando el endpoint /api/user/login
Headers
Identificador del workspace
Path Parameters
ID del contacto a consultar
Query Parameters
Identificador del workspace
Response
Contacto obtenido exitosamente
Indica si la operacion fue exitosa
Codigo HTTP de la respuesta
Codigo de error, null si no hay error
Mensaje descriptivo del resultado
Informacion completa de un contacto en el workspace
Show child attributes
Show child attributes
⌘I

